# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Only need manual requires for "use base XXX;" prior to rpm 4.9
%global rpm49 %(rpm --version | perl -p -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e' 2>/dev/null || echo 0)

Name:		perl-Text-Trac
Version:	0.24
Release:	1.%{__distinit}%{__distvers}
Summary:	Perl extension for formatting text with Trac Wiki Style
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Text-Trac
Source0:	https://cpan.metacpan.org/modules/by-module/Text/Text-Trac-%{version}.tar.gz
Patch0:		Text-Trac-0.24-shebang.patch
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(base)
BuildRequires:	perl(Class::Accessor::Fast)
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl(HTML::Entities)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(strict)
BuildRequires:	perl(Text::ParseWords)
BuildRequires:	perl(Tie::IxHash)
BuildRequires:	perl(UNIVERSAL::require)
BuildRequires:	perl(warnings)
# Script
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(Path::Tiny)
# Test Suite
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::Base)
BuildRequires:	perl(Test::Base::Filter)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%if ! %{rpm49}
Requires:	perl(Class::Accessor::Fast)
Requires:	perl(Class::Data::Inheritable)
%endif

%description
Text::Trac parses text with Trac WikiFormatting and converts it to HTML format.

%prep
%setup -q -n Text-Trac-%{version}

# Avoid /usr/bin/env perl shebang
%patch0

# Drop redundant exec permissions
find . -name '*.pm' -exec chmod -c -x {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README.md
%{_bindir}/trac2html
%{perl_vendorlib}/Text/
%{_mandir}/man3/Text::Trac.3*

%changelog
* Fri Dec 18 2020 Paul Howarth <paul@city-fan.org> - 0.24-1
- Initial RPM version
